Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Class MessageFactory

    java.lang.Object
      javax.xml.soap.MessageFactory

public abstract class MessageFactory
extends Object

A factory for creating SOAPMessage objects. A SAAJ client can create a MessageFactory object using the method newInstance, as shown in the following line of code. MessageFactory mf = MessageFactory.newInstance(); A standalone client (a client that is not running in a container) can use the newInstance method to create a MessageFactory object.

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`MessageFactory()`

Method Summary
`abstract SOAPMessage` | `createMessage()`
`abstract SOAPMessage` | `createMessage(MimeHeaders headers, InputStream in)`
`static MessageFactory` | `newInstance()` Creates a new MessageFactory object that is an instance of the default implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageFactory

    public MessageFactory()

Method Detail

### newInstance

    public static MessageFactory newInstance()
                                      throws SOAPException

  Creates a new MessageFactory object that is an instance of the default implementation.

  Returns:
  Throws:
    `SOAPException`

### createMessage

    public abstract SOAPMessage createMessage()
                                       throws SOAPException

  Throws:
    `SOAPException`

### createMessage

    public abstract SOAPMessage createMessage(MimeHeaders headers,
                                              InputStream in)
                                       throws IOException,
                                              SOAPException

  Throws:
    `IOException`
    `SOAPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.